package com.rongwei.bscommon.sys.feign;

import com.rongwei.rwcommon.base.R;
import com.rongwei.rwcommon.vo.MailDo;
import com.rongwei.rwcommonentity.commonservers.vo.SysNotifyAnnounceVo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

/**
 * Hysitx class
 *
 * @author XH
 * @date 2023/05/30
 */
@Component
public class KnowledegHysitx implements  KnowledgeCommonFeginClient{
    private final Logger log = LoggerFactory.getLogger(this.getClass().getName());

    @Override
    public void sendNotify(SysNotifyAnnounceVo sysNotifyAnnounceVo) {
        log.error("发送消息通知失败!通知内容为：{}", sysNotifyAnnounceVo);
    }

    @Override
    public R sendHtmlMail(MailDo mailDo) {
        log.error("邮件发送失败,数据为{}",mailDo);
        return R.error();
    }
}
